<%@ Page Language="C#" MasterPageFile="~/Orion/ResourceEdit.master" AutoEventWireup="true" CodeFile="CustomOIDEditGauge_double.aspx.cs" Inherits="CustomOIDEditGauge" Title="Untitled Page" %>
<%@ Register TagPrefix="orion" TagName="EditResourceTitle" Src="~/Orion/Controls/EditResourceTitle.ascx" %>

<asp:Content ID="HeadContent" ContentPlaceHolderID="HeadPlaceHolder" runat="Server">
    <link rel="stylesheet" type="text/css" href="/Orion/styles/EditGauge.css" />
    
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
    <script type="text/javascript" src="../../js/ig_webGauge.js">
    </script>
    <script type="text/javascript" src="../../js/ig_shared.js">
    </script>
    <script language="javascript" type="text/javascript">        
        var selectedStyle;
        function SelectGauge(styleName)
        {
            var oldSelectedStyle = document.getElementById(selectedStyle);
            if (oldSelectedStyle != null)
            { 
                oldSelectedStyle.className="DeSelectedGauge";
            }            
            var gaugesListSpan = document.getElementById("GaugesList");
            var gaugesSelect = gaugesListSpan.getElementsByTagName("select");
            var gaugeSelect = gaugesSelect[0];
            for (var i=0; i < gaugeSelect.options.length; i++)
            {
                if (gaugeSelect.options[i].value == styleName)
                {
                    gaugeSelect.selectedIndex = i;
                    break;
                }
            }
            var gaugeImageSpan = document.getElementById(styleName);
            gaugeImageSpan.className="SelectedGauge";
            selectedStyle = gaugeImageSpan.id;
        }
        
        function SelectCurrentGauge()
        {
            var gaugesListSpan = document.getElementById("GaugesList");
            var gaugesSelect = gaugesListSpan.getElementsByTagName("select");
            var gaugeSelect = gaugesSelect[0];
            var value = gaugeSelect.options[gaugeSelect.selectedIndex].value;
            SelectGauge(value);    
        }
        
        function CollapseAdvanced(collapse)
{
	try
	{
		var advancedRows = document.getElementsByTagName("tr")
		var index
		var collapseButton = document.getElementById("advanced-collapse-button")
		var expandButton = document.getElementById("advanced-expand-button")
	
		for(index in advancedRows)
		{
			if(index != "length")
			{
				var row
				row = advancedRows[index]
				if(row.className=="advanced-collapse")
				{
					if(collapse)
					{
						row.style.display="none"
					}
					else
					{
						row.style.display=""
					}
				}
			}
		}
		if(collapse)
		{
			collapseButton.style.display="none"
			expandButton.style.display="block"
		}
		else
		{
			collapseButton.style.display="block"
			expandButton.style.display="none"
		}
	}
	catch(err) { }
}

function updateLegendsState()
{
	try
	{
		var customLegendsText_1 = document.getElementsByName('ctl00$ctl00$ContentPlaceHolder1$MainContent$CustomLegend_1')[0]
		var customLegendsText_2 = document.getElementsByName('ctl00$ctl00$ContentPlaceHolder1$MainContent$CustomLegend_2')[0]
		var legendsSelect_1 = document.getElementsByName('ctl00$ctl00$ContentPlaceHolder1$MainContent$GaugeTickCount_1')[0]
		var legendsSelect_2 = document.getElementsByName('ctl00$ctl00$ContentPlaceHolder1$MainContent$GaugeTickCount_2')[0]
		var autoScaleEnabled_1 = getAutoScaleValue_1()
        var autoScaleEnabled_2 = getAutoScaleValue_2()
        
        
		if(customLegendsText_1.value == '' && !autoScaleEnabled_1)
		{
			legendsSelect_1.disabled = false
		}
		else
		{
			legendsSelect_1.disabled = true
		}

		
		
		if(customLegendsText_2.value == '' && !autoScaleEnabled_2)
		{
			legendsSelect_2.disabled = false
		}
		else
		{
			legendsSelect_2.disabled = true
		}		
		
		
		
		
		
		if(autoScaleEnabled_1)
		{
			customLegendsText_1.disabled = true
		}
		else
		{
			customLegendsText_1.disabled = false
		}
		
		
		
		if(autoScaleEnabled_2)
		{
			customLegendsText_2.disabled = true
		}
		else
		{
			customLegendsText_2.disabled = false
		}		
		
		
		
	}
	catch(err)
	{
		;
	}
}

function getAutoScaleValue_1()
{
	return document.getElementById('ctl00_ctl00_ContentPlaceHolder1_MainContent_AutoScaleGauge_1_0').checked;
}
function getAutoScaleValue_2()
{
	return document.getElementById('ctl00_ctl00_ContentPlaceHolder1_MainContent_AutoScaleGauge_2_0').checked;
}


function checkLegend()
{
    updateLegendsState();
    setTimeout("checkLegend()",500);
    
}
    </script>
    <span><b><big><%= Page.Title %></big></b></span>
    <asp:Panel ID="Panel1" runat="server" DefaultButton="btnSubmit">
    <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
   
   <br />
    <orion:EditResourceTitle runat="server" ID="resourceTitleEditor" ShowSubTitle="true" ShowSubTitleHintMessage="false" />  
	 <br />
	 <table>
	 <tr><td colspan="2" align="center">
    <b>Select Titles for Gauges:</b>
   </td></tr>
   <tr><td>
	<asp:TextBox ID="Title_1" size="40" runat="server"  />
	</td><td >
	<asp:TextBox ID="Title_2" size="40" runat="server"  />
	</td></tr>
	 <tr><td colspan="2" align="center">
    <b>Select Style for Gauges:</b>
    </td></tr>
	<tr><td>
    <span id="GaugesList"><asp:DropDownList ID="stylesList_1" runat="server" onchange="SelectCurrentGauge()"></asp:DropDownList></span>
	</td><td >
	<span id="GaugesList"><asp:DropDownList ID="stylesList_2" runat="server"></asp:DropDownList></span>
</td></tr>


<tr><td colspan="2" align="center">
     <b>Would you want to use the old gauge engine?</b>
   </td></tr>
   <tr>

					<td>
						<asp:RadioButtonList ID="OldEngine_1" runat="server" RepeatDirection="Vertical">
						<asp:ListItem Text="Yes" Value="1"  />
						<asp:ListItem Text = "No" Value="0"  />
						</asp:RadioButtonList>
					</td>
					<td>
						<asp:RadioButtonList ID="OldEngine_2" runat="server" RepeatDirection="Vertical">
						<asp:ListItem Text="Yes" Value="1"  />
						<asp:ListItem Text = "No" Value="0"  />
						</asp:RadioButtonList>
					</td>
</tr>




<tr><td colspan="2" align="center">
     <b>Gauge Size 30% to 250%:</b>
   </td></tr>
   <tr><td>
	<asp:TextBox ID="scaleInput_1" runat="server" maxlength="3"></asp:TextBox>	
<asp:RangeValidator ID="RangeValidatorG1" runat="server" ControlToValidate="scaleInput_1"
    ErrorMessage="Size must be in interval from 30% to 250%" MinimumValue="30" MaximumValue="250"
    Type="Integer" >*</asp:RangeValidator>
<asp:RequiredFieldValidator ID="RequiredFieldValidatorG1" runat="server" ControlToValidate="scaleInput_1"
    ErrorMessage="Gauge size field can not be left empty">*</asp:RequiredFieldValidator>
<asp:CompareValidator ID="CompareValidatorG1" runat="server" ControlToValidate="scaleInput_1"
    ErrorMessage="Gauge size must be correct integer value" Operator="DataTypeCheck" Type="Integer" >*</asp:CompareValidator>
</td><td >
	
<asp:TextBox ID="scaleInput_2" runat="server" maxlength="3"></asp:TextBox>
<asp:RangeValidator ID="RangeValidatorGob2" runat="server" ControlToValidate="scaleInput_2"
    ErrorMessage="Size must be in interval from 30% to 250%" MinimumValue="30" MaximumValue="250"
    Type="Integer" >*</asp:RangeValidator>
<asp:RequiredFieldValidator ID="RequiredFieldValidatorGob2" runat="server" ControlToValidate="scaleInput_2"
    ErrorMessage="Gauge size field can not be left empty">*</asp:RequiredFieldValidator>
<asp:CompareValidator ID="CompareValidatorG2" runat="server" ControlToValidate="scaleInput_2"
    ErrorMessage="Gauge size must be correct integer value" Operator="DataTypeCheck" Type="Integer" >*</asp:CompareValidator>	
	
	</td></tr>
	 <tr><td colspan="2" align="center">
    
    <b>Universal Device Poller:</b>
     </td></tr>
   <tr><td>
    <asp:DropDownList ID="CustomPoller_1" runat="server" />
	</td><td >
	<asp:DropDownList ID="CustomPoller_2" runat="server" />
</td></tr>
<tr><td colspan="2" align="center">
  
     <b>Gauge Minimum Value:</b>
   </td></tr>
   <tr><td>
    <asp:TextBox ID="GaugeMinVal_1" runat="server" />	
<asp:CompareValidator ID="CompareValidator3" runat="server" ControlToValidate="GaugeMinVal_1"
    ErrorMessage="Gauge Minimum Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>      
<asp:CompareValidator ID="CompareValidatorG4" runat="server" ControlToValidate="GaugeMinVal_1" ControlToCompare="GaugeMaxVal_1"
    Operator="LessThan" Type="Double">*</asp:CompareValidator>   
<asp:CustomValidator ID="CustomValidatorG1" runat="server" ControlToValidate="GaugeMinVal_1" ErrorMessage="Gauge Minimum value must be a valid integer" 
    OnServerValidate="ValidateDecimalNumber">*</asp:CustomValidator>
</td><td >
    <asp:TextBox ID="GaugeMinVal_2" runat="server" />
<asp:CompareValidator ID="CompareValidatorG5" runat="server" ControlToValidate="GaugeMinVal_2"
    ErrorMessage="Gauge Minimum Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>       
<asp:CompareValidator ID="CompareValidatorG6" runat="server" ControlToValidate="GaugeMinVal_2" ControlToCompare="GaugeMaxVal_2"
    Operator="LessThan" Type="Double">*</asp:CompareValidator>  
<asp:CustomValidator ID="CustomValidatorG2" runat="server" ControlToValidate="GaugeMinVal_2" ErrorMessage="Gauge Minimum value must be a valid integer" 
    OnServerValidate="ValidateDecimalNumber">*</asp:CustomValidator>
	
	</td></tr>
	 <tr><td colspan="2" align="center">
    
    <b>Gauge Maximum Value:</b>
   </td></tr>
   <tr><td>
	    <asp:TextBox ID="GaugeMaxVal_1" runat="server" />
 <asp:CompareValidator ID="CompareValidatorG7" runat="server" ControlToValidate="GaugeMaxVal_1"
    ErrorMessage="Gauge Maximum Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>
 <asp:CompareValidator ID="CompareValidatorG8" runat="server" ControlToValidate="GaugeMaxVal_1" ControlToCompare="GaugeMinVal_1"
    ErrorMessage="Gauge Maximum Value must be greater than Minimum Value" Operator="GreaterThan" Type="Double">*</asp:CompareValidator>        
 <asp:CustomValidator ID="CustomValidatorG3" runat="server" ControlToValidate="GaugeMaxVal_1" ErrorMessage="Gauge Maximum value must be a valid integer" 
    OnServerValidate="ValidateDecimalNumber">*</asp:CustomValidator> 
	</td><td >
	    <asp:TextBox ID="GaugeMaxVal_2" runat="server" />
 <asp:CompareValidator ID="CompareValidatorG9" runat="server" ControlToValidate="GaugeMaxVal_2"
    ErrorMessage="Gauge Maximum Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>
 <asp:CompareValidator ID="CompareValidatorG10" runat="server" ControlToValidate="GaugeMaxVal_2" ControlToCompare="GaugeMinVal_2"
    ErrorMessage="Gauge Maximum Value must be greater than Minimum Value" Operator="GreaterThan" Type="Double">*</asp:CompareValidator>        
 <asp:CustomValidator ID="CustomValidatorG4" runat="server" ControlToValidate="GaugeMaxVal_2" ErrorMessage="Gauge Maximum value must be a valid integer" 
    OnServerValidate="ValidateDecimalNumber">*</asp:CustomValidator> 
		</td></tr>
	
 </table>
    <br />
    <br />
    
    <table class="text" border="0" cellpadding="4" cellspacing="0">
    <tr>
					<td colspan="5"><font size="+1">Advanced&nbsp;Features</font></td>
					<td id="advanced-collapse-button" onclick="CollapseAdvanced(true)">
						<img src="/NetPerfMon/images/Button.Chevron_up.gif" alt="collapse" />
					</td>
					<td id="advanced-expand-button" onclick="CollapseAdvanced(false)">
						<img src="/NetPerfMon/images/Button.Chevron_down.gif" alt="expand" />
					</td>
				</tr>
				<tr class="advanced-collapse">
					<td><b>Auto-Scale Gauge 1</b><br />
						<asp:RadioButtonList ID="AutoScaleGauge_1" runat="server" RepeatDirection="Vertical">
						<asp:ListItem Text="On" Value="1"  />
						<asp:ListItem Text = "Off" Value="0"  />
						</asp:RadioButtonList>
					</td>
					<td><b>Auto-Scale Gauge 2</b><br />
						<asp:RadioButtonList ID="AutoScaleGauge_2" runat="server" RepeatDirection="Vertical">
						<asp:ListItem Text="On" Value="1"  />
						<asp:ListItem Text = "Off" Value="0"  />
						</asp:RadioButtonList>
					</td>					
					<td colspan="3">Set this to "On" to automatically create legends for the gauge.
						Auto-scaling will automatically choose the number of ticks and the label for
						each tick on the gauge.
					</td>
				</tr>
				<tr class="advanced-collapse">
					<td><b>Gauge Tick Count</b><br />
						<asp:DropDownList ID="GaugeTickCount_1" runat="server" >
						<asp:ListItem Text="3" Value="3" />
						<asp:ListItem Text="4" Value="4" />
						<asp:ListItem Text="5" Value="5" />
						<asp:ListItem Text="6" Value="6" />
						<asp:ListItem Text="7" Value="7" />
						<asp:ListItem Text="8" Value="8" />
						<asp:ListItem Text="9" Value="9" />
						<asp:ListItem Text="10" Value="10" />
						<asp:ListItem Text="11" Value="11" />
						</asp:DropDownList>
						
					</td>
					
					
					<td><b>Gauge Tick Count</b><br />
						<asp:DropDownList ID="GaugeTickCount_2" runat="server" >
						<asp:ListItem Text="3" Value="3" />
						<asp:ListItem Text="4" Value="4" />
						<asp:ListItem Text="5" Value="5" />
						<asp:ListItem Text="6" Value="6" />
						<asp:ListItem Text="7" Value="7" />
						<asp:ListItem Text="8" Value="8" />
						<asp:ListItem Text="9" Value="9" />
						<asp:ListItem Text="10" Value="10" />
						<asp:ListItem Text="11" Value="11" />
						</asp:DropDownList>
						
					</td>					
					
					<td>The number of labelled ticks to show on this gauge.  The gauge will automatically generate
						numeric labels for each tick mark based on this value. Examples:
					</td>
					<td>
						<img src="../../images/GaugeImages/TickCount3.png" border="0">
						<br>
						Tick Count = 3
					</td>
					<td>
						<img src="../../images/GaugeImages/TickCount11.png" border="0">
						<br>
						Tick Count = 11
					</td>
				</tr>
				<tr class="advanced-collapse">
					<td><b>Custom Legend</b><br />
						<asp:TextBox ID="CustomLegend_1" size="20" runat="server"  />
						<asp:RegularExpressionValidator runat="server" ControlToValidate="CustomLegend_1" ValidationExpression="(^.+,(.+,)*([^,])*$)|(^$)" ErrorMessage="Custom Legend is entered in the incorrect format">
                            </asp:RegularExpressionValidator>
					</td>
					
					<td><b>Custom Legend</b><br />
						<asp:TextBox ID="CustomLegend_2" size="20" runat="server"  />
						<asp:RegularExpressionValidator runat="server" ControlToValidate="CustomLegend_2" ValidationExpression="(^.+,(.+,)*([^,])*$)|(^$)" ErrorMessage="Custom Legend is entered in the incorrect format">
                            </asp:RegularExpressionValidator>
					</td>					
					
					
					<td>You can enter a comma-separated list of customized labels for tick marks
						on the gauge face here.  The number of ticks on the gauge face will be determined
						by the number of items in this list.<br>
						Here are some examples:<br>
					</td>
					<td>
						<img src="../../images/GaugeImages/CustomLegeng1.png" border="0">
						<br>
						Custom&nbsp;Legend&nbsp;= 0,2k,4k,6k,8k,10k
					</td>
					<td>
						<img src="../../images/GaugeImages/CustomLegeng2.png" border="0">
						<br>
						Custom&nbsp;Legend&nbsp;= Cool,Warm,Hot,Warning,Danger
					</td>
				</tr>
				
				<tr class="advanced-collapse">
					<td><b>Warning Threshold 1</b><br />
						<asp:TextBox ID="WarningLevel_1" size="10" runat="server" />
						<asp:CompareValidator ID="CompareValidatorG11" runat="server" ControlToValidate="WarningLevel_1"
	ErrorMessage="Gauge Warning Level Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>
					</td>

					<td><b>Warning Threshold 2</b><br />
						<asp:TextBox ID="WarningLevel_2" size="10" runat="server" />
						<asp:CompareValidator ID="CompareValidatorG12" runat="server" ControlToValidate="WarningLevel_2"
	ErrorMessage="Gauge Warning Level Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>
					</td>
					<td>The Gauge value is colored red above this value.</td>
				</tr>
				<tr class="advanced-collapse">
					<td><b>Error Threshold 1</b><br />
						<asp:TextBox ID="ErrorLevel_1" size="10" runat="server" />
						<asp:CompareValidator ID="CompareValidatorG13" runat="server" ControlToValidate="ErrorLevel_1"
	ErrorMessage="Gauge Error Level Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>
	<asp:CompareValidator ID="CompareValidatorG14" runat="server" ControlToValidate="ErrorLevel_1"
	ErrorMessage="Gauge Error Level must be greater than Warning Level" Operator="GreaterThanEqual" ControlToCompare="WarningLevel_1" >*</asp:CompareValidator>
		
					</td>
					
					
					
					<td><b>Error Threshold 2</b><br />
						<asp:TextBox ID="ErrorLevel_2" size="10" runat="server" />
						<asp:CompareValidator ID="CompareValidatorG15" runat="server" ControlToValidate="ErrorLevel_2"
	ErrorMessage="Gauge Error Level Value must be correct double value" Operator="DataTypeCheck" Type="Double" >*</asp:CompareValidator>
	<asp:CompareValidator ID="CompareValidatorG16" runat="server" ControlToValidate="ErrorLevel_2"
	ErrorMessage="Gauge Error Level must be greater than Warning Level" Operator="GreaterThanEqual" ControlToCompare="WarningLevel_2" >*</asp:CompareValidator>
		
					</td>
					<td>The Gauge value is bold and colored red above this value.</td>
				</tr>
				<tr class="advanced-collapse">
					<td><b>Reverse Thresholds 1</b><br />
						<asp:RadioButtonList ID="ReverseThreshold_1" runat="server" RepeatDirection="Vertical">
						<asp:ListItem Text="On" Value="true"  />
						<asp:ListItem Text = "Off" Value="false"  />
						</asp:RadioButtonList>
					</td>
					
					
					
					<td><b>Reverse Thresholds 2</b><br />
						<asp:RadioButtonList ID="ReverseThreshold_2" runat="server" RepeatDirection="Vertical">
						<asp:ListItem Text="On" Value="true"  />
						<asp:ListItem Text = "Off" Value="false"  />
						</asp:RadioButtonList>
					</td>
					<td>Reverses the direction of the Warning and Error thresholds.  Set this to "On" if low values,
						rather than high values, indicate warning or error conditions.</td>
				</tr>

				
				<tr>
					<td width="175"><b>Auto-Hide Resource</b><br />
						<asp:RadioButtonList ID="AutoHide" runat="server">
						<asp:ListItem Value="1" Text="Yes, If ALL does not assigned."   />
						<asp:ListItem Value="2" Text="Yes, If ANY does not assigned."   />
						<asp:ListItem Value="0" Text="No" Selected="True"   />
						</asp:RadioButtonList>
					</td>
					<td colspan="3">Automatically hides this resource if the currently selected Net Object does not
									have the selected universal device poller assigned to it.
					</td>
				</tr>
    </table>
    
    
    <asp:ImageButton runat="server" ID="btnBack" ToolTip="Back to previous page" ImageUrl="~/Orion/images/Button.Back.gif" OnClick="BackClick" />
    <asp:ImageButton runat="server" ID="btnSubmit" ToolTip="Submit gauge changes" ImageUrl="~/Orion/images/Button.Submit.gif" OnClick="SubmitClick" />
    <div id="GaugeStylesPanel" runat="server" style="background-color:White; border-style:ridge; width:840px"></div>
    
    <script language="javascript" type="text/javascript">
        SelectCurrentGauge();
        CollapseAdvanced(true);
        checkLegend(); 
    </script>
    </asp:Panel>
</asp:Content>


